<?php
/**
 * Genesis Framework.
 *
 * WARNING: This file is part of the core Genesis Framework. DO NOT edit this file under any circumstances.
 * Please do all modifications in the form of a child theme.
 *
 * @package Genesis\Templates
 * @author  StudioPress
 * @license GPL-2.0+
 * @link    http://my.studiopress.com/themes/genesis/
 */

genesis_structural_wrap( 'site-inner', 'close' );
genesis_markup( array(
	'close'   => '</div>',
	'context' => 'site-inner',
) );

do_action( 'genesis_before_footer' );
do_action( 'genesis_footer' );
do_action( 'genesis_after_footer' );

genesis_markup( array(
	'close'   => '</div>',
	'context' => 'site-container',
) );
?>

<!--Google adwords remarketing-->
<?php
		
		// Check if is homepage and set home paramters.
		// is_home() doesn't work in my setup. I don't know why. I'll use is_front_page() as workaround
		if(is_front_page()){
		?>
		<script type="text/javascript">
		var google_tag_params = {
		ecomm_pagetype: 'home'
		};
		</script>
		<?php
		}
		// Check if it is a product category page and set the category parameters.
		elseif (is_product_category()){
		?>
		<script type="text/javascript">
		var google_tag_params = {
		ecomm_pagetype: 'category',
		ecomm_category: <?php 
			
			echo "[";
			
			// Get the categories and prepare output.
			$prod_cats = get_the_terms( get_the_ID(), 'product_cat' );
			$prod_cats_output = array();
			// Loop throught the categories and push them into the output array.
			foreach ((array)$prod_cats as $k1 ){
				array_push($prod_cats_output, "'" . $k1->name . "'");
			}
			// Add commas into the output.
			echo implode(', ', $prod_cats_output);
			
			echo "]\n";
			
			?>
		};
		</script>
		<?php
		}
		// Check if it a search results page and set the searchresults parameters.
		elseif (is_search()){
		?>
		<script type="text/javascript">
		var google_tag_params = {
		ecomm_pagetype: 'searchresults'
		};
		</script>
		<?php
		}
		// Check if it is a product page and set the product parameters.
		elseif (is_product()){
		?>
		<script type="text/javascript">
		var google_tag_params = {
		ecomm_prodid: '<?php echo $mc_prefix.get_the_ID(); ?>',
		ecomm_category: <?php
		
			echo "[";
			
			$prod_cats = get_the_terms( get_the_ID(), 'product_cat' );
			$prod_cats_output = array();
			
			foreach ((array)$prod_cats as $k1 ){
				array_push($prod_cats_output, "'" . $k1->name . "'");
			}
			
			echo implode(', ', $prod_cats_output);
			
			echo "],\n";
		
		?>
		ecomm_pagetype: 'product',
		ecomm_totalvalue: <?php 
				
			$product = get_product( get_the_ID() );
			echo $product->get_price();
									
			?>
			
		};
		</script>
		<?php
		}
		// Check if it is the cart page and set the cart parameters.
		elseif (is_cart()){
		?>
		<script type="text/javascript">
		var google_tag_params = {
		ecomm_prodid: <?php 
			
		echo "[";
			
		$cartprods = $woocommerce->cart->get_cart();
		$cartprods_items = array();
	
		foreach((array)$cartprods as $entry){
			array_push($cartprods_items, "'" . $mc_prefix.$entry['product_id'] . "'");
		}
		echo implode(', ', $cartprods_items);
		
		echo "]";
		?>,
		ecomm_pagetype: 'cart',
		ecomm_totalvalue: <?php echo $woocommerce->cart->cart_contents_total; ?>
		
		};
		</script>
		<?php
		}
		// Check if it the order received page and set the according parameters
		elseif (is_order_received_page()){
		?>

		<script type="text/javascript">
		var google_tag_params = {
		ecomm_prodid: <?php
			
			echo "[";
			
			$order       = new WC_Order(wc_get_order_id_by_order_key($_GET['key']));
			$order_total = $order->get_total();
			$items = $order->get_items();
			
			$order_items = array();
			foreach((array)$items as $item){
				array_push($order_items, "'" . $mc_prefix.$item['product_id'] . "'");
			}
			echo implode(', ', $order_items);
			
			echo "]";
			
		?>,
		<?php 
		?>ecomm_pagetype: 'purchase',
		ecomm_totalvalue: <?php echo $order_total; ?>
		
		};
		</script>
		<?php
		}
		// For all other pages set the parameters for other.
		else{
		?>

		<script type="text/javascript">
		var google_tag_params = {
		ecomm_pagetype: 'other'
		};
		</script>
		<?php	
				
		}
		?>
<!--google adwords remarketing ends-->
<?php
do_action( 'genesis_after' );
wp_footer(); // We need this for plugins.

genesis_markup( array(
	'close'   => '</body>',
	'context' => 'body',
) );

?>
</html>
